# Class DSSP

java.lang.Object
org.jmol.dssx.DSSP

public class DSSP extends Object

## Constructor Summary

Constructors
Constructor
Description
`DSSP()`
/////////////////// DSSP /////////////////////

## Method Summary

Modifier and Type
Method
Description
`String`
`calculateDssp(Object[] objBioPolymers, int bioPolymerCount, Object objVHBonds, boolean doReport, boolean dsspIgnoreHydrogens, boolean setStructure, int version)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DSSP

public DSSP()
/////////////////// DSSP /////////////////////

## Method Details

### calculateDssp

public String calculateDssp(Object[] objBioPolymers, int bioPolymerCount, Object objVHBonds, boolean doReport, boolean dsspIgnoreHydrogens, boolean setStructure, int version)

Parameters:
  `objBioPolymers` -
  `bioPolymerCount` -
  `objVHBonds` -
  `doReport` -
  `dsspIgnoreHydrogens` -
  `setStructure` -
  `version` - can be 2.0 to reverse order of helix calculation and emphasize pi-helices
Returns:
  helix-5, helix-4, helix-3, and SUMMARY lines